#include <iostream>

using namespace std;

class Grados{
  int grad, min, seg;
public:
  void poner(int g, int m, int s);
  void sumar(Grados a);
  void escribe();
};

void Grados::poner(int g, int m, int s){
//este método pone valores a los miembros del objeto
  grad = g;
  min = m;
  seg = s;
}

void Grados::sumar(Grados a){
//este método suma al objeto otro objeto
  seg += a.seg;
  if(seg>=60){
    min += seg/60;
    seg = seg%60;
  }
  min += a.min;
  if(min>=60){
    grad += min/60;
    min = min%60;
  }
  grad += a.grad;
}

void Grados::escribe(){
//este método despliega los valores de grados, minutos y segundos
  cout << grad << "g" << min << "'" << seg << "\"\n";
}

main(){
  Grados a,b;
  a.poner(30,45,35);
  b.poner(3,18,34);
  a.escribe();
  b.escribe();
  a.sumar(b);
  a.escribe();
  system("pause");
}


